%define CPSPOOL   %{_localstatedir}/spool/cups-pdf/SPOOL
%define CPOUT     %{_localstatedir}/spool/cups-pdf
%define CPLOG     %{_localstatedir}/log/cups
%define ETCCUPS   %(cups-config --serverroot 2>/dev/null || echo %{_sysconfdir}/cups)
%define CPBACKEND %(cups-config --serverbin  2>/dev/null || echo %{_libdir}/cups)/backend

Name:           cups-pdf
Version:        3.0.1
Release:        %mkrel 1
Summary:        Extension for creating pdf-Files with CUPS
Group:          System/Printing 
License:        GPLv2+
URL:            http://cip.physik.uni-wuerzburg.de/~vrbehr/cups-pdf/
Source0:        http://www.physik.uni-wuerzburg.de/~vrbehr/cups-pdf/src/%{name}_%{version}.tar.xz
Source1:        INSTALL.pclinuxos.cups-pdf
# imported from fedora with mods for pclos
Patch0:         cups-pdf-conf.patch
Patch1:         cups-pdf-desktop.patch
Patch2:         cups-pdf-title.patch
Patch3:         cups-pdf-build.patch
Patch4:         cups-pdf-result.patch
BuildRequires:  cups-devel
Requires:       ghostscript
Requires:       cups

%description
"cups-pdf" is a backend script for use with CUPS - the "Common UNIX Printing
System" (see more for CUPS under http://www.cups.org/). 
"cups-pdf" uses the ghostscript pdfwrite device to produce PDF Files.

This version has been modified to store the PDF files on the ~/PDF directory
of the user. This behavior can be changed by editing the configuration file.

%prep
%setup -qn %{name}-%{version}
cp %{SOURCE1} INSTALL.pclos
%patch0 -p0 -b .oldconf
#%patch1 -p0 -b .desktop
%patch2 -p0 -b .title
%patch3 -p0 -b .build
%patch4 -p0 -b .result

%build
pushd src
gcc $RPM_OPT_FLAGS -lcups -o cups-pdf cups-pdf.c
popd

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{CPBACKEND}
mkdir -p %{buildroot}%{CPSPOOL}
mkdir -p %{buildroot}%{CPOUT}
mkdir -p %{buildroot}%{CPLOG}
mkdir -p %{buildroot}%{CPBACKEND}
mkdir -p %{buildroot}%{ETCCUPS}
mkdir -p %{buildroot}%{_datadir}/cups/model/
install -m644 extra/{CUPS-PDF_noopt,CUPS-PDF_opt}.ppd  %{buildroot}%{_datadir}/cups/model/
install -m644 extra/cups-pdf.conf %{buildroot}%{ETCCUPS}/
install -m700 src/cups-pdf %{buildroot}%{CPBACKEND}/

%clean
rm -rf %{buildroot}

%post
# First install : create the printer if cupsd is running
if [ "$1" -eq "1" -a -f "%{_var}/run/cupsd.pid" ]
then
    if [ -d /proc/$(cat %{_var}/run/cupsd.pid) ]
    then
        /usr/sbin/lpadmin -p Cups-PDF -v cups-pdf:/ -m CUPS-PDF_noopt.ppd -E || :
    fi
fi

%postun
if [ "$1" -eq "0" ]; then
    # Delete the printer
    /usr/sbin/lpadmin -x Cups-PDF || :
fi

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README INSTALL.pclos
%dir %{CPSPOOL}
%dir %{CPOUT}
%attr(700, root, root) %{CPBACKEND}/cups-pdf
%config(noreplace) %{ETCCUPS}/cups-pdf.conf
%{_datadir}/cups/model/CUPS-PDF*.ppd


%changelog
* Tue Jan 09 2018 Zen Subz <techars21 at gmail dot com> - 3.0.1-1pclos2018
- Update to v3.0.1

* Thu Sep 22 2011 Texstar <texstar at gmail.com> 2.5.1-1pclos2011
- 2.5.1
